<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AttachmentChunks (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AttachmentChunks (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AttachmentChunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
               target="_top">Frames</a></li>
        <li><a href="AttachmentChunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class AttachmentChunks" class="title">Class AttachmentChunks</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hsmf.datatypes.AttachmentChunks</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                           title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">AttachmentChunks</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
              title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></pre>
                <div class="block">Collection of convenience chunks for standard parts of the MSG file
                    attachment.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
                                        title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks.AttachmentChunksSorter</a></span></code>
                                    <div class="block">Orders by the attachment number.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#attachRenderingWMF">attachRenderingWMF</a></span></code>
                                    <div class="block">This is in WMF Format.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#PREFIX">PREFIX</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#AttachmentChunks-java.lang.String-">AttachmentChunks</a></span>(java.lang.String&nbsp;poifsName)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#chunksComplete--">chunksComplete</a></span>()</code>
                                    <div class="block">Used to flag that all the chunks of the attachment have now been
                                        located.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAll--">getAll</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachContentId--">getAttachContentId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachData--">getAttachData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachExtension--">getAttachExtension</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachFileName--">getAttachFileName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachLongFileName--">getAttachLongFileName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">DirectoryChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachmentDirectory--">getAttachmentDirectory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachMimeTag--">getAttachMimeTag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getAttachRenderingWMF--">getAttachRenderingWMF</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getChunks--">getChunks</a></span>()</code>
                                    <div class="block">Returns the chunks that make up the group.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getEmbeddedAttachmentObject--">getEmbeddedAttachmentObject</a></span>()</code>
                                    <div class="block">Returns the embedded object, if the attachment is an object based
                                        embedding (image, document etc), or null if it's an embedded message
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/hsmf/MAPIMessage.html"
                                                              title="class in org.apache.poi.hsmf">MAPIMessage</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getEmbeddedMessage--">getEmbeddedMessage</a></span>()</code>
                                    <div class="block">Returns the embedded MAPI message, if the attachment is an
                                        embedded
                                        message, or null otherwise
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#getPOIFSName--">getPOIFSName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#isEmbeddedMessage--">isEmbeddedMessage</a></span>()</code>
                                    <div class="block">Is this Attachment an embedded MAPI message?</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</code>
                                    <div class="block">Called by the parser whenever a chunk is found.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="PREFIX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PREFIX</h4>
                                <pre>public static final&nbsp;java.lang.String PREFIX</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hsmf.datatypes.AttachmentChunks.PREFIX">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="attachRenderingWMF">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>attachRenderingWMF</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a> attachRenderingWMF</pre>
                                <div class="block">This is in WMF Format. You'll probably want to pass it to Apache
                                    Batik to
                                    turn it into a SVG that you can then display.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="AttachmentChunks-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AttachmentChunks</h4>
                                <pre>public&nbsp;AttachmentChunks(java.lang.String&nbsp;poifsName)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isEmbeddedMessage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmbeddedMessage</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmbeddedMessage()</pre>
                                <div class="block">Is this Attachment an embedded MAPI message?</div>
                            </li>
                        </ul>
                        <a name="getEmbeddedMessage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbeddedMessage</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/MAPIMessage.html"
                                                    title="class in org.apache.poi.hsmf">MAPIMessage</a>&nbsp;getEmbeddedMessage()
                               throws java.io.IOException</pre>
                                <div class="block">Returns the embedded MAPI message, if the attachment is an embedded
                                    message, or null otherwise
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmbeddedAttachmentObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbeddedAttachmentObject</h4>
                                <pre>public&nbsp;byte[]&nbsp;getEmbeddedAttachmentObject()</pre>
                                <div class="block">Returns the embedded object, if the attachment is an object based
                                    embedding (image, document etc), or null if it's an embedded message
                                </div>
                            </li>
                        </ul>
                        <a name="getAll--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAll</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]&nbsp;getAll()</pre>
                            </li>
                        </ul>
                        <a name="getChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChunks</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]&nbsp;getChunks()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">ChunkGroup</a></code></span>
                                </div>
                                <div class="block">Returns the chunks that make up the group. Should certainly contain
                                    all
                                    the interesting Chunks, but needn't always contain all of the Chunks.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">getChunks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPOIFSName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPOIFSName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getPOIFSName()</pre>
                            </li>
                        </ul>
                        <a name="getAttachData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachData</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a>&nbsp;getAttachData()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ATTACH_DATA chunk</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachExtension--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachExtension</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getAttachExtension()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment extension</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachFileName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getAttachFileName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment (short) filename</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachLongFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachLongFileName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getAttachLongFileName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment (long) filename</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachMimeTag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachMimeTag</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getAttachMimeTag()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment mimetag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachmentDirectory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachmentDirectory</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">DirectoryChunk</a>&nbsp;getAttachmentDirectory()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment directory</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachRenderingWMF--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachRenderingWMF</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a>&nbsp;getAttachRenderingWMF()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment preview bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAttachContentId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachContentId</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;getAttachContentId()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the attachment content ID</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="record-org.apache.poi.hsmf.datatypes.Chunk-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>record</h4>
                                <pre>public&nbsp;void&nbsp;record(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</pre>
                                <div class="block">Called by the parser whenever a chunk is found.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="chunksComplete--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>chunksComplete</h4>
                                <pre>public&nbsp;void&nbsp;chunksComplete()</pre>
                                <div class="block">Used to flag that all the chunks of the attachment have now been
                                    located.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#chunksComplete--">chunksComplete</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AttachmentChunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
               target="_top">Frames</a></li>
        <li><a href="AttachmentChunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
